Get product categories
curl -X GET "https://example.com/categories"[ { "name": "Books", "code": "BO", "subCategories": [ { "name": "Hardcover books", "code": "HC" }, { "name": "Softcover books", "code": "SC" }, { "name": "Layflat books", "code": "LF" } ] }, { "name": "Magazines", "code": "MA", "subCategories": [ { "name": "Pur bound magazines", "code": "PM" } ] }, { "name": "Calendar", "code": "CA", "subCategories": [ { "name": "Wall calendar", "code": "WC" } ] }, { "name": "Digital products", "code": "DP", "subCategories": [ { "name": "Digital publication", "code": "DP" } ] }, { "name": "Wall art", "code": "WA", "subCategories": [ { "name": "Print", "code": "PR" }, { "name": "Canvas", "code": "CA" }, { "name": "Aluminium Dibonds", "code": "DI" }, { "name": "Foam boards", "code": "FOA" }, { "name": "Framed Print", "code": "FRP" }, { "name": "Framed Canvas", "code": "FRC" }, { "name": "Gallery Print", "code": "GP" }, { "name": "Boxed Frame", "code": "BOXED FRAMES" } ] }, { "name": "Notebooks", "code": "NB", "subCategories": [ { "name": "Notebook wire-o", "code": "NBW" } ] }]List products and offerings GET
In the Peecho dashboard under Settings, you can find all of the products that Peecho offers. All products set as active in your account can be queried using the offering API. The ID that you find under the product name is the offering ID. The endpoint returns the product catalog ID and its attributes.
Quote POST
The Quote endpoint lets you retrieve pricing and shipping information for a set of products without creating an order. You can also use it to check whether the selected products can be fulfilled together as a multi-item order. The offeringId used in the request corresponds to the productId shown in your account under Settings > Products.